summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xfunctions/exit.sh2
-rwxr-xr-xfunctions/lockfile.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/functions/exit.sh b/functions/exit.sh
index 022c0bf..e7e7b11 100755
--- a/functions/exit.sh
+++ b/functions/exit.sh
@@ -27,5 +27,5 @@ Exit ()
Setup_cleanup ()
{
Echo_message "Setting up cleanup function"
- trap 'Exit' INT TERM HUP EXIT
+ trap 'Exit' EXIT HUP INT QUIT TERM
}
diff --git a/functions/lockfile.sh b/functions/lockfile.sh
index f486ec9..93da69e 100755
--- a/functions/lockfile.sh
+++ b/functions/lockfile.sh
@@ -28,7 +28,7 @@ Create_lockfile ()
mkdir -p "${DIRECTORY}"
# Creating lock trap
- trap 'ret=${?}; '"rm -f \"${FILE}\";"' exit ${ret}' EXIT
+ trap 'ret=${?}; '"rm -f \"${FILE}\";"' exit ${ret}' EXIT HUP INT QUIT TERM
# Creating lock file
touch "${FILE}"